print.fasta {bio3d} | R Documentation

## Printing Sequence Alignments

### Description

Print method for fasta and pdbs sequence alignment objects.

### Usage

    ## S3 method for class 'fasta'
    print(x, alignment=TRUE, ...)
    .print.fasta.ali(x, width = NULL, col.inds = NULL, numbers = TRUE,
             conservation=TRUE, ...)

### Arguments

`x` | a sequence alignment object as obtained from the functions `read.fasta`, `read.fasta.pdb`, `pdbaln`, `seqaln`, etc.
`alignment` | logical, if TRUE the sequence alignment will be printed to screen.
`width` | a single numeric value giving the number of residues per printed sequence block. By default this is determined from considering alignment identifier widths given a standard 85 column terminal window.
`col.inds` | an optional numeric vector that can be used to select subsets of alignment positions/columns for printing.
`numbers` | logical, if TRUE position numbers and a tick-mark every 10 positions are printed above and below sequence blocks.
`conservation` | logical, if TRUE conserved and semi-conserved columns in the alignment are marked with an ‘*’ and ‘^’, respectively.
`...` | additional arguments to ‘.print.fasta.ali’.

### Value

Called mostly for its effect but also silently returns block divided concatenated sequence strings as a matrix.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.fasta`, `read.fasta.pdb`, `pdbaln`, `seqaln`

### Examples

         file <- system.file("examples/kif1a.fa",package="bio3d")
         aln  <- read.fasta(file)
         print(aln)

         # print(aln, col.inds=30:100, numbers=FALSE)

[Package bio3d version 2.3-4 Index]